Resolve a correlation claim for external intake
curl --request POST \
--url https://api.prets.app/v1/correlation-claims/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jan.jansen@example.nl",
"postalCode": "1012AB",
"houseNumber": "12"
}
'import requests
url = "https://api.prets.app/v1/correlation-claims/resolve"
payload = {
"email": "jan.jansen@example.nl",
"postalCode": "1012AB",
"houseNumber": "12"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jan.jansen@example.nl', postalCode: '1012AB', houseNumber: '12'})
};
fetch('https://api.prets.app/v1/correlation-claims/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"matched": true,
"correlationClaim": {
"id": "crclm_01J0DQ4S20X2NM86ETPRV00QR0",
"uuid": "01901b72-6440-e8ab-4419-dab636005f00"
},
"correlationClaimId": "crclm_01J0DQ4S20X2NM86ETPRV00QR0"
}
}Correlation claims
Resolve a correlation claim for external intake
Match consumer email and/or install address and return stable correlation claim identifiers for partner funnel integration.
POST
/
v1
/
correlation-claims
/
resolve
Resolve a correlation claim for external intake
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
- Option 3
Response
Match result
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I